<?php
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Get the mobile number from the form
    $mobile = htmlspecialchars($_POST['mobile']);

    // Validate the mobile number (basic validation)
    if (!empty($mobile) && preg_match('/^[0-9]{10}$/', $mobile)) {
        // Email details
        $to = "thaneguide@gmail.com, checkmail6622@gmail.com, sales@anujelectricalservices.in";
        $subject = "Anuj Electrical Services New Mobile Number Submission";
        $message = "A new mobile number has been submitted:\n\nMobile Number: " . $mobile;
        $headers = "From: noreply@anujelectricalservices.in\r\n"; // Change this to your domain email
        $headers .= "Reply-To: noreply@anujelectricalservices.in\r\n";
        $headers .= "Content-Type: text/plain; charset=UTF-8\r\n";

        // Send email
        if (mail($to, $subject, $message, $headers)) {
            header("Location: ThankYou.html");
            exit();
        } else {
            echo "Error! Unable to send email.";
        }
    } else {
        echo "Invalid mobile number!";
    }
} else {
    echo "Invalid request method!";
}
?>
